import { Button as FASTButton } from '@microsoft/fast-components';
import { foundationButtonStyles as styles } from './button.styles';
import { foundationButtonTemplate as template } from './button.template';
export class Button extends FASTButton {
}
export const foundationButtonShadowOptions = {
    delegatesFocus: true,
    mode: 'open',
};
export const defaultButtonConfig = {};
export const foundationButton = Button.compose(Object.assign({ baseName: 'button', template,
    styles, shadowOptions: foundationButtonShadowOptions }, defaultButtonConfig));
